<template>
  <div class="add-group">
    <v-btn
      color="primary"
      dark
      @click.stop="dialog = true"
    >
      Добавить
    </v-btn>
    <v-dialog
      v-model="dialog"
      max-width="400"
    >
      <v-card>
        <v-card-title>Добавление группы/класса</v-card-title>
        <v-text-field
          label="Название"
          outlined
          v-model="group"
          hide-details
          class="mx-5"
        />
        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn
            color="green darken-1"
            text
            @click="close"
          >
            Отмена
          </v-btn>

          <v-btn
            color="green darken-1"
            text
            @click="add"
          >
            Добавить
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  name: 'AddGroup',
  data() {
    return {
      dialog: false,
      group: ''
    }
  },
  methods: {
    close() {
      this.dialog = false;
      this.group = '';
    },
    add() {
      if (!this.group) return;
      this.$emit('add', this.group)
      this.dialog = false;
      this.group = '';
    }
  }
}
</script>